"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Injectable = void 0;
const startup_1 = require("../startup");
const literals_1 = require("../literals");
/**
 * Makes the class providable and available for injection.
 * @param options Injection options.
 */
function Injectable(options) {
    return (target) => {
        const original = target;
        const f = function (...args) {
            return startup_1.DependencyResolver.resolve(original);
        };
        Object.defineProperty(f, literals_1.Literals.WrapperObject, { value: undefined });
        f.prototype = original.prototype;
        startup_1.DependencyRegistry.register(original, options);
        startup_1.DependencyRegistry.register(f, options);
        return f;
    };
}
exports.Injectable = Injectable;
//# sourceMappingURL=injectable.js.map