"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Providers = void 0;
class Providers {
    constructor() {
        this.providers = new Map();
    }
    /**
     * Configures Dependency Resolver to return on instance of `useClass` instead of `type`;
     * @param type Abstract or non abstract class.
     * @param useClass Non abstract class.
     */
    provide(type, useClass) {
        if (!this.providers.has(type)) {
            this.providers.set(type, useClass);
        }
    }
    getProvider(type) {
        return this.providers.get(type);
    }
}
exports.Providers = Providers;
//# sourceMappingURL=providers.js.map